All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.publish.alerts
Class AlertTransportFactory

    com.sas.services.publish.alerts.AlertTransportFactory

    public class AlertTransportFactory

A factory used to manufacture alert delivery transports.

The supported delivery transports are listed below. View the javadoc for specific details on each delivery transport.

- `DAV`
- `Mail`

See Also:
  `TemplateInterface`

Constructor Summary
`AlertTransportFactory()`

Method Summary
`static DAVAlertTransportInterface` | `getDAVAlertTransport(UserContextInterface userContext, java.lang.String domain, java.lang.String userId)` Creates an instance of the DAV (portlet) transport.
`static MailAlertTransportInterface` | `getMailAlertTransport(com.sas.svcs.mail.client.MailServiceInterface mailService)` Creates an instance of the mail transport.
`static MailAlertTransportInterface` | `getMailAlertTransport(SMTPServerInfo info)` Creates an instance of the mail transport.

Constructor Detail

### AlertTransportFactory

    public AlertTransportFactory()

Method Detail

### getMailAlertTransport

    public static MailAlertTransportInterface getMailAlertTransport(SMTPServerInfo info)

  Creates an instance of the mail transport. The mail transport provides a mechanism for sending alert notifications via email.

  Parameters:
    `info` - The SMTP server info.
  Returns:
    the mail delivery transport

### getMailAlertTransport

    public static MailAlertTransportInterface getMailAlertTransport(com.sas.svcs.mail.client.MailServiceInterface mailService)

  Creates an instance of the mail transport. The mail transport provides a mechanism for sending alert notifications via email.

  Parameters:
    `mailService` - the WIP Mail service
  Returns:
    the mail delivery transport

### getDAVAlertTransport

    public static DAVAlertTransportInterface getDAVAlertTransport(UserContextInterface userContext,
                                                                  java.lang.String domain,
                                                                  java.lang.String userId)

  Creates an instance of the DAV (portlet) transport. The DAV transport provides a mechanism for sending alert notifications to a user's personal repository in WebDAV.

  Parameters:
    `userContext` - the publisher
    `domain` - the authentiction domain
    `userId` - The WebDAV userid. The alert notification is published to the user's personal repository.
  Returns:
    the DAV delivery transport

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.